import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
from matplotlib import style
from pptx import Presentation
from pptx.util import Inches

save_path = r"C:\Users\admin\Downloads\MMM Workshop Deck\CCF_plots_AZ_Workshop_data.pptx"

prs = Presentation()
prs.slide_width = Inches(16)
prs.slide_height = Inches(9)
lyt=prs.slide_layouts[5]
slide=prs.slides.add_slide(lyt)
title=slide.shapes.title
title.text="Cross Correlation Chart Automation for Market Mix Modeling"

for i in range(1, 53):  #since plot 1 & 2 are not desired
    path = r"C:\Users\admin\Downloads\MMM Workshop Deck\CCF plots\plot{}.png".format(i)  ## use custom save path with plot{}.png
    blank_slide_layout = prs.slide_layouts[6]
    slide = prs.slides.add_slide(blank_slide_layout)
    left=Inches(1)
    top=Inches(0.5)
    img=slide.shapes.add_picture(path,left,top)
last=prs.slide_layouts[0]
end_slide=prs.slides.add_slide(last)
title=end_slide.shapes.title
subtitle = end_slide.placeholders[1]
title.text="Thank You !!!"
subtitle.text = "All Rights Reserved by Aryma Labs"
prs.save(save_path)


