library(readxl)
library(officer)

data <- read_excel("***excel/csv file path ****") # change the function for excel/csv accordingly


for (col in colnames(data)) {
  if (col != "Month") {  
    data[[col]] <- as.numeric(as.character(data[[col]]))
  }
}

data[is.na(data)] <- 0

## Removing Brand PH Average Price as it has NA values for the entire time period
if ("Brand_PH_Avg_Price" %in% colnames(data)) {
  data <- data[ , !(colnames(data) == "Brand_PH_Avg_Price")]
}

count <- 0

data[is.na(data)] <- 0
for (col in colnames(data)) {
  if (col != "Month") {  
    count <- count + 1
    
    assign(
      paste0("C:/Users/admin/Desktop/MMM Workshop Deck/CCF plots/plot_", count), ## use custom save path with plot_ at the end
      ccf(data$Sales_Revenue_Total, data[[col]], lag = 4, main = paste0("Sales Revenue Total Vs ", col))
    )
    
    dev.copy(png, paste0("plot", count, ".png"), width = 1008, height = 576)
    dev.off()
  }
}